Package org.eclipse.net4j.util

# Class StringTester.MetaFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.factory.MetaFactory
org.eclipse.net4j.util.StringTester.MetaFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Enclosing interface:
  `StringTester`

public static final class StringTester.MetaFactory extends MetaFactory

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.factory.MetaFactory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`MetaFactory()`

## Method Summary

Modifier and Type
Method
Description
`IFactory[]`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MetaFactory

public MetaFactory()

## Method Details

### create

public IFactory[] create(String description) throws ProductCreationException

Specified by:
  `create` in interface `IFactory`
Specified by:
  `create` in class `MetaFactory`
Throws:
  `ProductCreationException`